PAM_SET_ITEM(3) | Library Functions Manual | PAM_SET_ITEM(3)

# NAME

`pam_set_item` — set authentication information

# SYNOPSIS

`#include <sys/types.h>`
`#include <security/pam_appl.h>`

int
`pam_set_item`(pam_handle_t *pamh, int item_type, const void *item);

# DESCRIPTION

The `pam_set_item`() function sets the item specified by the item_type argument to a copy of the object pointed to by the item argument. The item is stored in the PAM context specified by the pamh argument. See pam_get_item(3) for a list of recognized item types.

# RETURN VALUES

The `pam_set_item`() function returns one of the following values:

[`PAM_SUCCESS`]
  Success.
[`PAM_BAD_ITEM`]
  Unrecognized or restricted item.
[`PAM_BUF_ERR`]
  Memory buffer error.

# SEE ALSO

pam(3), pam_get_item(3), pam_strerror(3)

# STANDARDS

X/Open Single Sign-On Service (XSSO) - Pluggable Authentication Modules, June 1997.

# AUTHORS

The `pam_set_item`() function and this manual page were developed for the FreeBSD Project by ThinkSec AS and Network Associates Laboratories, the Security Research Division of Network Associates, Inc. under DARPA/SPAWAR contract N66001-01-C-8035 (“CBOSS”), as part of the DARPA CHATS research program.

The OpenPAM library is maintained by Dag-Erling Smørgrav <des@des.no>.

June 27, 2023 | NetBSD 11.0